Redmine - Defect #3348

Redmine with Webrick freezes
2009-05-13 09:02 - Matthieu Brucher

Status: Closed Start date: 2009-05-13
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version: 0.8.3
Description

Hi,

I've migrated from 0.8.1 with SQLite to 0.8.3 with MySQL, both time using WebRick as webserver. Everything worked fine with 0.8.1.
It seems that Redmine sometimes crashes during the night, and | can't get a new page -> Redmine freezes.

When trying to shutdown the server by Ctrl+C, it doesn't work, | only see:
[2009-05-13 09:00:39] INFO going to shutdown ...
| have to kill the application completely to have another feedback which shows a multithreading issue:

[2009-05-13 09:00:51] ERROR ThreadError: not owner
/data/pau112/USERS_INNO/BRUCHER/local/src_custom/redmine-0.8.3/vendor/rails/railties/lib/webrick_server.rb:83:in “unlock'’
/data/pau112/USERS_INNO/BRUCHER/Iocal/src_custom/redmine-0.8.3/vendor/rails/railties/lib/webrick_server.rb:83:in “service'
/users/brucher/lib/ruby/1.8/webrick/httpserver.rb:104:in “service'

/users/brucher/lib/ruby/1.8/webrick/httpserver.rb:65:in “run’

/users/brucher/lib/ruby/1.8/webrick/server.rb:173:in “start_thread'

/users/brucher/lib/ruby/1.8/webrick/server.rb:162:in “start'

/users/brucher/lib/ruby/1.8/webrick/server.rb:162:in “start_thread'

/users/brucher/lib/ruby/1.8/webrick/server.rb:95:in “start'

/users/brucher/lib/ruby/1.8/webrick/server.rb:92:in “each’

/users/brucher/lib/ruby/1.8/webrick/server.rb:92:in “start'

/users/brucher/lib/ruby/1.8/webrick/server.rb:23:in “start'

/users/brucher/lib/ruby/1.8/webrick/server.rb:82:in “start'
/users/brucher/src_custom/redmine-0.8.3/vendor/rails/railties/lib/webrick_server.rb:62:in "dispatch’
/users/brucher/src_custom/redmine-0.8.3/vendor/rails/railties/lib/commands/servers/webrick.rb:66
/users/brucher/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in ‘gem_original_require'
/users/brucher/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in ‘require’
/users/brucher/src_custom/redmine-0.8.3/vendor/rails/activesupport/lib/active_support/dependencies.rb:510:in “require’
/users/brucher/src_custom/redmine-0.8.3/vendor/rails/activesupport/lib/active_support/dependencies.rb:355:in "new_constants_in
/users/brucher/src_custom/redmine-0.8.3/vendor/rails/activesupport/lib/active_support/dependencies.rb:510:in “require’
/users/brucher/src_custom/redmine-0.8.3/vendor/rails/railties/lib/commands/server.rb:39
/users/brucher/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in ‘gem_original_require'
/users/brucher/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in “require’

script/server:3

127.0.0.1 - - [13/May/2009:08:58:21 CEST] "GET /projects/soaprpc/issues HTTP/1.1" 500 289
http://localhost:8000/issues/show/50 -> /projects/soaprpc/issues

127.0.0.1 - - [13/May/2009:08:57:25 CEST] "POST /issues/gantt?set_filter=1 HTTP/1.1" 200 0
http://localhost:8000/issues/gantt -> /issues/gantt?set_filter=1

Terminated

I'm using rails 2.2.2

History

#1 - 2009-05-13 18:05 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Invalid

Please, no deployement troubleshooting ticket here unless it's a Redmine defect.
http://localhost:8000/issues/gantt

#2 - 2009-05-26 13:32 - Matthieu Brucher

It seems other projects had the same issue, and they had fixed this in their code: http:/projects.reductivelabs.com/issues/1703
